Full name: projects.locations.instances.integrations.connectors.connectorInstances.fetchLatestDefinition
Refreshes a connector instance with the latest definition from the integration. Use this method to discover new parameters or updated scripts for an existing connector.
HTTP request
GET https://{endpoint}/v1beta/{parent}:fetchLatestDefinition
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The connector instance identifier (from route) |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of ConnectorInstance.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.connectorInstances.get
For more information, see the IAM documentation.